import { ethers } from "ethers";
import { BigNumber, Signer, Contract } from "ethers";
export declare function findArtifactFromPath(contractName: string, artifactsPath: string): any;
export declare function getAllFilesInPath(dirPath: string, arrayOfFiles?: string[]): string[];
export declare const toWei: (num: string | number | BigNumber) => ethers.BigNumber;
export declare const toWeiWithDecimals: (num: string | number | BigNumber, decimals: number) => ethers.BigNumber;
export declare const toBNWei: (num: string | number | BigNumber) => ethers.BigNumber;
export declare const toBNWeiWithDecimals: (num: string | number | BigNumber, decimals: number) => ethers.BigNumber;
export declare const fromWei: (num: string | number | BigNumber) => string;
export declare const toBN: (num: string | number | BigNumber) => ethers.BigNumber;
export declare const utf8ToHex: (input: string) => string;
export declare const hexToUtf8: (input: string) => string;
export declare const createRandomBytes32: () => string;
export declare const hexZeroPad: (input: string, length: number) => string;
export declare const addressToBytes: (input: string) => string;
export declare const bytes32ToAddress: (input: string) => string;
export declare const isBytes32: (input: string) => boolean;
export declare function seedWallet(walletToFund: Signer, tokens: Contract[], weth: Contract | undefined, amountToSeedWith: number | BigNumber): Promise<void>;
export declare function seedContract(contract: Contract, walletToFund: Signer, tokens: Contract[], weth: Contract | undefined, amountToSeedWith: number | BigNumber): Promise<void>;
export declare function randomBigNumber(bytes?: number, signed?: boolean): ethers.BigNumber;
export declare function randomAddress(): string;
export declare function randomBytes32(): string;
declare function avmL1ToL2Alias(l1Address: string): string;
export declare function trimSolanaAddress(bytes32Address: string): string;
export declare function hashNonEmptyMessage(message: string): string;
declare const defaultAbiCoder: ethers.utils.AbiCoder, keccak256: typeof ethers.utils.keccak256;
export { avmL1ToL2Alias, Contract, ethers, BigNumber, defaultAbiCoder, keccak256, Signer };
export declare function getOftEid(chainId: number): number;
